#
# spec file for package glabels (Version 2.0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel aspell aspell-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtidy libtiff libtool libusb libvolume_id libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-XML-Parser permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo tidy timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           glabels
BuildRequires:  aspell-devel gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel pcre-devel perl-XML-Parser scrollkeeper tidy update-desktop-files
URL:            http://glabels.sourceforge.net/
%define prefix /opt/gnome
License:        GNU General Public License (GPL)
Group:          Productivity/Office/Other
Autoreqprov:    on
Version:        2.0.4
Release:        30.2
Summary:        A Label Editing and Printing Tool
Source:         glabels-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# For case of splitting of devel subpackage:
#Requires:     glib2-devel libxml2-devel glibc-devel zlib-devel 
Patch:          %name-2.0.4.patch

%description
Labels is a powerful tool for editing and printing all kinds of labels.
It comes with a lot of templates of standard labels.



Authors:
--------
    James Willcox <jwillcox@cs.indiana.edu>

%debug_package
%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --libdir=/opt/gnome/%{_lib} --mandir=%{prefix}/share/man\
 --disable-update-mimedb --disable-update-desktopdb
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%suse_update_desktop_file glabels WordProcessor

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database /usr/share/mime >/dev/null
fi

%postun
%run_ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database /usr/share/mime >/dev/null
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{prefix}/bin/glabels
%{prefix}/bin/glabels-batch
%{prefix}/share/glabels
%{prefix}/include/libglabels/
%{prefix}/%{_lib}/libglabels.a
%{prefix}/%{_lib}/libglabels.la
%{prefix}/%{_lib}/libglabels.so*
%{prefix}/share/applications/glabels.desktop
%{prefix}/share/application-registry/glabels.applications
%{prefix}/share/gnome/help/glabels/
%{prefix}/share/locale/*/LC_MESSAGES/glabels.mo
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/omf/glabels/
%{prefix}/share/pixmaps/glabels.png
%{prefix}/share/pixmaps/glabels/
%{prefix}/share/pixmaps/glabels-application-x-glabels.png
/opt/gnome/share/mime-info/glabels.keys
/opt/gnome/share/mime-info/glabels.mime
/opt/gnome/share/mime/packages/glabels.xml

%changelog -n glabels
* Mon Dec 04 2006 - sbrabec@suse.cz
- Do not overwrite global MIME database (#225657).
- Update MIME database correctly.
- Do not delete valid desktop file.
- Use correct mandir.
* Sat Sep 09 2006 - meissner@suse.de
- fixed warnings caused by new return; checks.
* Tue Sep 05 2006 - meissner@suse.de
- use rpm_opt_flags. fixed resulting warnings.
* Fri Sep 01 2006 - jhargadon@suse.de
- update to version 2.0.4
- Use filechooser for GnomeFileEntrys in merge properties dialog and
  object editor image page
- New configure option to disable update-mime-database and
  update-desktop-database
- Minor cleanup.
- New templates and fixes
- Added document merge tutorial to help documentation
- translation updates
- Fixed packing style of printer selection dialog
- New templates
* Thu Jul 27 2006 - sbrabec@suse.cz
- Call ldconfig, do not depend on devel packages (#192742).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - snbarth@suse.de
- Fixed file list
* Mon Dec 19 2005 - ro@suse.de
- added library .so symlinks to filelist
* Tue Jan 25 2005 - snbarth@suse.de
- update to version 2.0.2
  - added perl-XML-Parser to neededforbuild
  - now contains glabels-application-x-glabels.png
* Fri Jan 21 2005 - snbarth@suse.de
- fixed 64bit build issue
* Thu Jan 20 2005 - snbarth@suse.de
- initial version (2.0.1)
